package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

import java.util.ArrayList;
import java.util.List;

/**
 * 设计模板
 */
public class DesignTemplate extends BaseEntity {
    @RColumn("id")
    @Comment("")
    private long id;

    @RColumn("templatename")
    @Comment("模板名称")
    private String templateName;

    @RColumn("backgroundpath")
    @Comment("背景图片")
    private String backgroundPath;

    @RColumn("viewthumbpath")
    @Comment("缩略图")
    private String viewThumbPath;

    @RColumn("canvasheight")
    @Comment("画布高(mm)")
    private double canvasHeight;

    @RColumn("canvaswidth")
    @Comment("画布宽(mm)")
    private double canvasWidth;

    @RColumn("breedheight")
    @Comment("拼版尺寸高")
    private double breedHeight;

    @RColumn("breedwidth")
    @Comment("拼版尺寸宽")
    private double breedWidth;

    @RColumn("productidentity")
    @Comment("产品id,暂时手传")
    private String productIdentity;

    @Comment("")
    @RColumn("voidflag")
    private int voidFlag;

    @RColumn("jsoncontent")
    @Comment("模板属性json,数据库记录的是文件链接")
    private String jsonContent;

    @Comment("元素")
    private List<DesignTemplateItem> itemList = new ArrayList<>();

    @Comment("模板标签")
    private List<TemplateTag> tagList = new ArrayList<>();

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getBackgroundPath() {
        return backgroundPath;
    }

    public void setBackgroundPath(String backgroundPath) {
        this.backgroundPath = backgroundPath;
    }

    public String getViewThumbPath() {
        return viewThumbPath;
    }

    public void setViewThumbPath(String viewThumbPath) {
        this.viewThumbPath = viewThumbPath;
    }

    public double getCanvasHeight() {
        return canvasHeight;
    }

    public void setCanvasHeight(double canvasHeight) {
        this.canvasHeight = canvasHeight;
    }

    public double getCanvasWidth() {
        return canvasWidth;
    }

    public void setCanvasWidth(double canvasWidth) {
        this.canvasWidth = canvasWidth;
    }

    public double getBreedHeight() {
        return breedHeight;
    }

    public void setBreedHeight(double breedHeight) {
        this.breedHeight = breedHeight;
    }

    public double getBreedWidth() {
        return breedWidth;
    }

    public void setBreedWidth(double breedWidth) {
        this.breedWidth = breedWidth;
    }

    public String getProductIdentity() {
        return productIdentity;
    }

    public void setProductIdentity(String productIdentity) {
        this.productIdentity = productIdentity;
    }

    public List<DesignTemplateItem> getItemList() {
        return itemList;
    }

    public void setItemList(List<DesignTemplateItem> itemList) {
        this.itemList = itemList;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public List<TemplateTag> getTagList() {
        return tagList;
    }

    public void setTagList(List<TemplateTag> tagList) {
        this.tagList = tagList;
    }
}
